Saltar al contenido
Guías
CatálogoCanales
channel:read

Obtener anuncio por ID

GET/v1/channels/listings/{id}

Obtener anuncio por ID. Una solicitud exitosa devuelve HTTP 200 con el cuerpo de respuesta documentado.

Autorización

bearerAuth
AutorizaciónBearer <token>

Token de acceso OAuth 2.0 emitido por Ecomiq Auth.

Ubicación: header

Parámetros de ruta

id*string

Identificador único del recurso.

Parámetros de cabecera

x-Store-Id?string

Tienda sobre la que actúa la solicitud. No hace falta cuando el token ya está vinculado a una tienda.

Authorization*string

Token bearer OAuth 2.0.

Cuerpo de la respuesta

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/channels/listings/7204558912004325301" \  -H "x-Store-Id: <store-id>" \  -H "Authorization: Bearer <token>"
{  "id": "7204558912004325301",  "channelId": "7204558912004325301",  "productId": "7204558912004325301",  "listingType": "salesChannel",  "externalId": "7204558912004325301",  "externalUrl": "https://example.com/resource",  "status": "draft",  "price": 1,  "compareAtPrice": 1,  "syncInventory": false,  "lastSyncAt": "2026-08-01T15:30:00Z",  "lastSyncError": "example",  "lastSyncErrorCode": "example_code",  "readinessStatus": "unknown",  "readinessIssues": [    {      "code": "example_code",      "message": "example",      "blocking": false,      "source": "example",      "references": [        "example"      ],      "causeCode": 1,      "sku": "SKU-001"    }  ],  "publishable": false,  "readinessUpdatedAt": "2026-08-01T15:30:00Z",  "createdOn": "2026-08-01T15:30:00Z",  "updatedOn": "2026-08-01T15:30:00Z"}